EventHttpRequest::sendError
EventHttpRequest::sendReplyChunk
EventHttpRequest
PHP Manual

# EventHttpRequest::sendReply

Send an HTML reply to the client

### Description

public void EventHttpRequest::sendReply ( int `$code` , string `$reason` [, EventBuffer `$buf` ] )

Send an HTML reply to the client. The body of the reply consists of data in optional `buf` parameter.

### Parameters

`code`

  The HTTP response code to send.

`reason`

  A brief message to send with the response code.

`buf`

  The body of the response.

### Return Values

No value is returned.

### See Also

- EventHttpRequest::sendError
- EventHttpRequest::sendReplyChunk